package App::Ack::Filter::FirstLineMatch;



use strict;
use warnings;
use parent 'App::Ack::Filter';

sub new {
    my ( $class, $re ) = @_;

    $re =~ s{^/|/$}{}g; # XXX validate?
    $re = qr{$re}i;

    return bless {
        regex => $re,
    }, $class;
}


sub filter {
    my ( $self, $file ) = @_;

    return $file->firstliney =~ /$self->{regex}/;
}

sub inspect {
    my ( $self ) = @_;


    return ref($self) . ' - ' . $self->{regex};
}

sub to_string {
    my ( $self ) = @_;

    (my $re = $self->{regex}) =~ s{\([^:]*:(.*)\)$}{$1};

    return "First line matches /$re/";
}

BEGIN {
    App::Ack::Filter->register_filter(firstlinematch => __PACKAGE__);
}

1;
